/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CTIrradiationEventData
 */
public enum EnumCV_CTIrradiationEventData 
{
	// CTIrradiationEventData - TID 10013
	CT_ACQUISITION_113819("113819"),
	ACQUISITION_PROTOCOL_125203("125203"),
	TARGET_REGION_123014("123014"),
	CT_ACQUISITION_TYPE_113820("113820"),
	RECONSTRUCTION_ALGORITHM_113961("113961"),
	PROCEDURE_CONTEXT_G_C32C("G-C32C"),
	IRRADIATION_EVENT_UID_113769("113769"),
	IRRADIATION_EVENT_LABEL_113605("113605"),
	LABELTYPE_113606("113606"),
	CT_ACQUISITION_PARAMETERS_113822("113822"),
	EXPOSURE_TIME_113824("113824"),
	NOMINAL_SINGLE_COLLIMATION_WIDTH_113826("113826"),
	NOMINAL_TOTAL_COLLIMATION_WIDTH_113827("113827"),
	PITCH_FACTOR_113828("113828"),
	NUMBER_OF_X_RAY_SOURCES_113823("113823"),
	CTX_RAY_SOURCE_PARAMETERS_113831("113831"),
	IDENTIFICATION_OF_THE_X_RAY_SOURCE_113832("113832"),
	KVP_113733("113733"),
	MAXIMUM_X_RAY_TUBECURRENT_113833("113833"),
	EXPOSURE_TIME_PERROTATION_113834("113834"),
	X_RAY_TUBE_CURRENT_113734("113734"),
	X_RAY_FILTER_ALUMINUM_EQUIVALENT_113821("113821"),
	CT_DOSE_113829("113829"),
	MEANCTDIVOL_113830("113830"),
	CTDIW_PHANTOM_TYPE_113835("113835"),
	CTDIFREEAIR_CALCULATIONFACTOR_113836("113836"),
	MEANCTDIFREEAIR_113837("113837"),
	DLP_113838("113838"),
	EFFECTIVE_DOSE_113839("113839"),
	EFFECTIVE_DOSECONVERSION_FACTOR_113840("113840"),
	MEASUREMENT_METHOD_G_C036("G-C036"),
	SIZE_SPECIFIC_DOSE_ESTIMATION_113930("113930"),
	MEASURED_LATERALDIMENSION_113931("113931"),
	MEASURED_APDIMENSION_113932("113932"),
	DERIVED_EFFECTIVEDIAMETER_113933("113933"),
	X_RAY_MODULATION_TYPE_113842("113842"),
	COMMENT_121106("121106"),
	;

	private String value;
	
	EnumCV_CTIrradiationEventData(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}